VyprVPN 2.13 - TAP Error 6022

When upgrading from 2.12 to 2.13 on Windows 10, I get the Error 6022. Restarting the PC doesn’t solve the problem. The only solution I found so far was to (1) uninstall version 2.13, (2) reboot the PC and (3) re-install version 2.12. Do other users have the same problem? Could Goldenfrog support look into this matter?

Hello!

Error 6022 indicates that there is no TAP adapter
installed. Please visit our support article below to can install the TAP
adapter (the link is at the bottom of the page):

https://support.goldenfrog.website/hc/en-us/articles/205314088-VyprVPN-TAP-Adapter-Troubleshooting

Let us know if you still have issues after installing the TAP adapter.

Regards,
Logan
Golden Frog Technical Support

Thank you for your feedback. What is strange is that version 2.12 works fine, which means that the TAP adapter is properly installed. Past upgrades didn’t lead to similar problems. The problem only comes when upgrading to version 2.13. This is odd.

I downloaded the TAP installation program, but couldn’t run it as it was deleted by Norton Antivirus.

Further update. While using the “upgrade” to 2.13 from within the 2.12 version led repeatedly to the above mentioned TAP problem, I was luckier in (1) uninstalling 2.12, (2) restarting my PC and (3) downloading and installing from scratch the new 2.13 version (2.13.0.8109 to be exact, versus previously 2.12.1.8015): now it works. In other words, the issue seems to be related to the 2.12 -> 2.13 upgrade process which messes up the TAP. At least, the problem is solved for me, but I thought I would share the issue as other people may have (or “may have had”…) the same problem.

Hello, @ppmartin!

I’m glad to hear the issue has been resolved. Thank you for bringing this matter to our attention!

If you have any questions or concerns in the future, please don’t hesitate to contact our support team directly. We’re available to help 24/7!

https://www.goldenfrog.com/contact-support

Regards,
Logan
Golden Frog Technical Support

Many thanks. Have a good day.

Just ran into the same issue. Upgraded to v2.13 and ran into the TAP problem and could not connect. I downgraded back to v2.11 which I had the install file for and it started working no problem again. Is there maybe something wrong with the update package?

Unrelated, can you put the current version in the Update Available header? Then the change log makes more sense.

Hello @potsy,

Thank you for reaching out to us and we apologize that you’re experiencing the same issue as well.

Can you please contact our support team at https://www.goldenfrog.com/support/ so we can look into this further for you?

Also, thank you for the suggestion and we will pass that idea along!

We look forward to hearing from you.

Regards,
Tyler | Customer Support